Skip to main content

List Payouts

Retrieve a list of payouts with filtering and pagination.

Endpoint

GET /v1/payouts

Query Parameters

ParameterTypeDescription
statusstringFilter by status
fromstringStart date (ISO 8601)
tostringEnd date (ISO 8601)
limitnumberNumber of records (default 100)
offsetnumberOffset for pagination

Request Example

curl -X GET "https://api.bopay.io/v1/payouts?status=completed&limit=50" \
-H "X-Identity: your-api-key" \
-H "X-Signature: your-signature"

Response

{
"payouts": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"ext_id": "payout_001",
"amount": 5000,
"currency": "RUB",
"method": "card",
"requisites": "4276123456781234",
"holder_name": "Ivan Ivanov",
"bank": "",
"status": "completed",
"created_at": "2026-01-30T12:45:00Z",
"completed_at": "2026-01-30T12:47:00Z"
}
],
"total": 156,
"limit": 50,
"offset": 0
}

Response Fields

FieldTypeDescription
payoutsarrayArray of payouts
totalnumberTotal count
limitnumberLimit
offsetnumberOffset